/**
 * DevExtreme (bundles/__internal/core/utils/date.js)
 * Version: 23.2.3 (build 23365-0113)
 * Build date: Sun Dec 31 2023
 *
 * Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.dateUtilsTs = void 0;
const addOffsets = (date, offsets) => {
    const newDateMs = offsets.reduce((result, offset) => result + offset, date.getTime());
    return new Date(newDateMs)
};
const dateUtilsTs = {
    addOffsets: addOffsets
};
exports.dateUtilsTs = dateUtilsTs;
